post
https://sandbox.saner.secpod.com/AncorWebService/perform
Create a software deployment job for one named device.
This method creates a software deployment job. Users can add a URL-encoded string to the ‘filename’ field. Deployment jobs can be created for multiple devices of the same group.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the deployment job | Yes | string |
| filename | Software file name (URL-encoded allowed) | Yes | string |
| starttime | Deployment start time (format: HH:MM:AM/PM) | No | string |
| endtime | Deployment end time (format: HH:MM:AM/PM) | No | string |
| scheduletype | Type of schedule (date/immediate/on-schedule) | Yes | string |
| schedulevalue | Schedule date (format: YYYY-MM-DD) | No | string |
| persistent | Whether deployment is persistent (yes/no) | No | string |
| periodicity | Frequency value | No | string |
| autoreboot | Auto reboot after deployment (true/false) | Yes | string |
| rebootdatetime | Reboot date time (format: YYYY-MM-DD HH:MM:SS) | No | string |
| groupname | Device group name | Yes | string |
| devicename | Device name | Yes | string |
| startwindowtime | Deployment window start time (format: HH:MM:AM/PM) | No | string |
| forcereboot | Force reboot flag (true/false) | No | string |
| accountid | Account identifier | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Endpoint.addSoftwareDeployment(
name="Demo name",
accountid="Demo Account",
filename="winscp-5.13.4-setup-x86",
devicename="device 1",
scheduletype="immediate",
groupname="windows",
autoreboot="true"
)
print(response)
client.close()Requires Python 3.9 or later.